Page MenuHomePhabricator

Hard deprecate old signature in WikiPage::doDeleteArticleReal
Closed, ResolvedPublic

Description

Per parent task

Core

  • Translate:
  • SpecialManageTranslatorSandbox: WikiPage
  • TranslateDeleteJob: WikiPage
  • AbuseFilter: AbuseFilterConsequencesTest - WikiPage
  • BlueSpiceSocialProfile: Handler - WikiPage
  • CirrusSearch: deleteBrowserTestPages - WikiPage
  • CommentStreams: Comment - WikiPage
  • Flow: FlowRestoreLQT - WikiPage
  • GlobalCssJs: removeOldManualUserPages - WikiPage
  • Jade: CleanJudgmentLinksTest - WikiPage
  • MassMessage: MassMessageJobTest - WikiPage
  • SplitPrivateWiki: SyncArticleJob - WikiPage
  • Thanks: ApiCoreThankIntegrationTest - WikiPage x2
  • WebDAV: WebDAVPageFile - WikiPage

Actual hard deprecation is next

Details

ProjectBranchLines +/-Subject
mediawiki/coremaster+3 -2
mediawiki/coremaster+26 -14
mediawiki/extensions/WebDAVmaster+10 -4
mediawiki/extensions/SplitPrivateWikimaster+13 -2
mediawiki/extensions/BlueSpiceSocialProfilemaster+4 -3
mediawiki/extensions/CirrusSearchmaster+4 -2
mediawiki/extensions/Translatemaster+40 -11
mediawiki/extensions/CommentStreamsmaster+21 -9
mediawiki/extensions/Thanksmaster+20 -11
mediawiki/extensions/GlobalCssJsmaster+0 -0
mediawiki/coremaster+16 -6
mediawiki/coremaster+26 -17
mediawiki/extensions/Flowmaster+11 -3
mediawiki/extensions/Jademaster+2 -1
mediawiki/extensions/MassMessagemaster+1 -1
mediawiki/extensions/AbuseFiltermaster+4 -1
Show related patches Customize query in gerrit

Event Timeline

DannyS712 triaged this task as Medium priority.Mar 17 2020, 4:34 PM
DannyS712 created this task.
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

Change 580375 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] ApiDelete: Make ::delete(File)? only accept a wikipage, make private

https://gerrit.wikimedia.org/r/580375

Change 580992 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/BlueSpiceSocialProfile@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/580992

Change 581162 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MassMessage@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/581162

Change 581163 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/581163

Change 581164 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Flow@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/581164

Change 581165 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/AbuseFilter@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/581165

Change 581167 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/581167

Change 581165 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/581165

Change 581164 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/581164

Change 581162 merged by jenkins-bot:
[mediawiki/extensions/MassMessage@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/581162

Change 581163 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/581163

Change 581167 merged by jenkins-bot:
[mediawiki/core@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/581167

DannyS712 updated the task description. (Show Details)Mar 19 2020, 3:24 PM

Change 580375 merged by jenkins-bot:
[mediawiki/core@master] ApiDelete: Make ::delete(File)? only accept a wikipage, make private

https://gerrit.wikimedia.org/r/580375

DannyS712 updated the task description. (Show Details)Mar 25 2020, 6:27 AM

Change 583204 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Translate@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/583204

Change 583206 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CirrusSearch@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/583206

Change 583207 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/GlobalCssJs@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/583207

Change 583207 abandoned by DannyS712:
Use new signature for WikiPage::doDeleteArticleReal in MW 1.35

Reason:
Already done by legoktm in I110520a28dd11f96478c4983a382557270e78540

https://gerrit.wikimedia.org/r/583207

DannyS712 updated the task description. (Show Details)Mar 25 2020, 6:42 AM

Change 583208 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Thanks@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/583208

Change 583209 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/WebDAV@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/583209

Change 583210 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CommentStreams@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/583210

Change 583208 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/583208

DannyS712 updated the task description. (Show Details)Mar 25 2020, 2:40 PM

Change 583210 merged by jenkins-bot:
[mediawiki/extensions/CommentStreams@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/583210

DannyS712 updated the task description. (Show Details)Mar 25 2020, 6:45 PM
DannyS712 updated the task description. (Show Details)Mar 25 2020, 8:14 PM

Change 583204 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/583204

DannyS712 updated the task description. (Show Details)Mar 26 2020, 2:59 PM

Change 583206 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Use new signature for WikiPage::doDeleteArticleReal, require MW 1.35+

https://gerrit.wikimedia.org/r/583206

DannyS712 updated the task description. (Show Details)Mar 26 2020, 4:04 PM

Change 580992 merged by Ppchelko:
[mediawiki/extensions/BlueSpiceSocialProfile@master] Pass a user to WikiPage::doDeleteArticleReal, use new signature

https://gerrit.wikimedia.org/r/580992

DannyS712 updated the task description. (Show Details)Mar 30 2020, 5:37 PM

Change 584659 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/SplitPrivateWiki@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/584659

Change 584659 merged by jenkins-bot:
[mediawiki/extensions/SplitPrivateWiki@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/584659

Change 583209 merged by jenkins-bot:
[mediawiki/extensions/WebDAV@master] Use new signature for WikiPage::doDeleteArticleReal in MW 1.35+

https://gerrit.wikimedia.org/r/583209

DannyS712 updated the task description. (Show Details)Mar 30 2020, 9:59 PM

Change 584783 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate old signature for WikiPage::doDeleteArticleReal

https://gerrit.wikimedia.org/r/584783

Change 584783 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate old signature for WikiPage::doDeleteArticleReal

https://gerrit.wikimedia.org/r/584783

DannyS712 closed this task as Resolved.Mar 31 2020, 4:12 AM
DannyS712 reopened this task as Open.Apr 16 2020, 5:02 PM

Woops - I seem to have missed a use

Change 589361 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] PageDumpTestDataTrait: Pass a user to WikiPage::doDeleteArticleReal

https://gerrit.wikimedia.org/r/589361

Change 589361 merged by jenkins-bot:
[mediawiki/core@master] PageDumpTestDataTrait: Pass a user to WikiPage::doDeleteArticleReal

https://gerrit.wikimedia.org/r/589361

DannyS712 closed this task as Resolved.Apr 16 2020, 5:32 PM
DannyS712 removed a project: Patch-For-Review.

@cscott please reopen if this isn't actually fixed